Bug 378864 - Kmail 5.1.3 crashed on closing
Summary: Kmail 5.1.3 crashed on closing
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.1.3
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi, triaged
Depends on:
Blocks:
 
Reported: 2017-04-17 09:27 UTC by Axel Schmidt
Modified: 2018-10-28 03:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Schmidt 2017-04-17 09:27:17 UTC
Application: kontact (5.1.3)

Qt Version: 5.5.1
Operating System: Linux 4.8.0-46-generic x86_64
Distribution: Ubuntu 16.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:
closing the application
- Unusual behavior I noticed:
imap inbox shows every email 2-4 times, so that kmail shows not the real 50 emails but nearly 200, but light grey and not markable, readable nor selectable, but shown in the list of emails...

The crash can be reproduced sometimes.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f46f3513940 (LWP 1501))]

Thread 31 (Thread 0x7f46037fe700 (LWP 16211)):
#0  0x00007f470c79cb5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f46037fe700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 30 (Thread 0x7f4603fff700 (LWP 16209)):
#0  0x00007f4705ffca94 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb7f2a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb83f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f4603fff700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7f460ce6d700 (LWP 16202)):
#0  0x00007f470c79cb5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f460ce6d700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7f460d66e700 (LWP 16200)):
#0  0x00007f470c79cb5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f460d66e700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7f460de6f700 (LWP 16194)):
#0  0x00007ffdcd498939 in ?? ()
#1  0x00007ffdcd498bd6 in clock_gettime ()
#2  0x00007f470c7b6c86 in __GI___clock_gettime (clock_id=1, tp=0x7f460de6e9f0) at ../sysdeps/unix/clock_gettime.c:115
#3  0x00007f470d158b86 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d2dd279 in QTimerInfoList::updateCurrentTime() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d2dd7e5 in QTimerInfoList::timerWait(timespec&) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d2debce in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f4705fb791d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#12 0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#13 0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#14 0x00007f47067e26ba in start_thread (arg=0x7f460de6f700) at pthread_create.c:333
#15 0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7f460e670700 (LWP 16192)):
#0  0x00007f4705fb5413 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb78bb in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f460e670700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7f460ee71700 (LWP 16190)):
#0  0x00007f4705ffca94 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb7910 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f460ee71700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7f460ffff700 (LWP 16179)):
#0  0x00007f470d0a093a in QMutex::lock() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#1  0x00007f470d2df049 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f4705fb7dc1 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb8330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f47067e26ba in start_thread (arg=0x7f460ffff700) at pthread_create.c:333
#10 0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7f4614837700 (LWP 16177)):
#0  0x00007f470c79cb5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f4614837700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7f4615038700 (LWP 16175)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007f470c79cb52 in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f4615038700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7f4615839700 (LWP 16173)):
#0  0x00007f4705fb823d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f47067e26ba in start_thread (arg=0x7f4615839700) at pthread_create.c:333
#7  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7f4616a4a700 (LWP 16171)):
#0  0x00007f4705fb7da8 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb8330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f4616a4a700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7f462ffff700 (LWP 16157)):
#0  0x00007f4705ffca79 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb8290 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f462ffff700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f462f7fe700 (LWP 16155)):
#0  0x00007f4705fb7dcc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb8330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f462f7fe700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f462effd700 (LWP 16153)):
#0  0x00007f4705fb5494 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb7998 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f462effd700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f462cf71700 (LWP 2649)):
#0  0x00007f470c79cb5d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f462cf71700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f4646ff8700 (LWP 1895)):
#0  0x00007f4705fb83eb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f47067e26ba in start_thread (arg=0x7f4646ff8700) at pthread_create.c:333
#7  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f46477f9700 (LWP 1892)):
#0  __libc_disable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:90
#1  0x00007f470c79cb69 in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f46477f9700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f465e7fc700 (LWP 1844)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007f470c79cb52 in poll () at ../sysdeps/unix/syscall-template.S:84
#2  0x00007f4705fb838c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f465e7fc700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f465effd700 (LWP 1842)):
#0  0x00007f4705ffca79 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb7dcc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb8330 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f465effd700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f467623f700 (LWP 1827)):
#0  0x00007f4705ffca79 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb7464 in g_main_context_release () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb8346 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f467623f700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f4676a40700 (LWP 1825)):
#0  0x00007f4705fb7924 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f4676a40700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f4684a0a700 (LWP 1574)):
#0  0x00007f4705fb5434 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb78bb in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f47067e26ba in start_thread (arg=0x7f4684a0a700) at pthread_create.c:333
#9  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f468520b700 (LWP 1573)):
#0  0x00007f4705ffca79 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4705fb834e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f47067e26ba in start_thread (arg=0x7f468520b700) at pthread_create.c:333
#8  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f469effd700 (LWP 1542)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f470a72eaa3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f470aa4f541 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f47067e26ba in start_thread (arg=0x7f469effd700) at pthread_create.c:333
#4  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f469f7fe700 (LWP 1541)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f470a72eaa3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f470aa4f541 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f47067e26ba in start_thread (arg=0x7f469f7fe700) at pthread_create.c:333
#4  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f469ffff700 (LWP 1540)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f470a72eaa3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f470aa4f541 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f47067e26ba in start_thread (arg=0x7f469ffff700) at pthread_create.c:333
#4  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f46a49f7700 (LWP 1539)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f470a72da74 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f470aa4f541 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f47067e26ba in start_thread (arg=0x7f46a49f7700) at pthread_create.c:333
#4  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f46a6f0a700 (LWP 1521)):
#0  0x00007f470d0a0d5f in QMutex::unlock() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#1  0x00007f470d2ded81 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f4705fb791d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4705fb82bb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f470d2df7eb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f470d0a3834 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f470d0a87be in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f47067e26ba in start_thread (arg=0x7f46a6f0a700) at pthread_create.c:333
#10 0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f46ea4db700 (LWP 1513)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f470aa1f88b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#2  0x00007f470aa1f8c9 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
#3  0x00007f47067e26ba in start_thread (arg=0x7f46ea4db700) at pthread_create.c:333
#4  0x00007f470c7a882d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f46f3513940 (LWP 1501)):
[KCrash Handler]
#6  0x00007f468c4521f2 in MailCommon::FolderTreeWidget::selectedCollections() const () from /usr/lib/x86_64-linux-gnu/libKF5MailCommon.so.5
#7  0x00007f468caef4b6 in KMMainWidget::updateFolderMenu() () from /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#8  0x00007f470d2b7baf in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f470d2c45c8 in QTimer::timerEvent(QTimerEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f470d2b8bb3 in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#11 0x00007f470ddcf05c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#12 0x00007f470ddd4516 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#13 0x00007f470d28938b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#14 0x00007f470d2de5ed in QTimerInfoList::activateTimers() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#15 0x00007f470d2deaf1 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#16 0x00007f4705fb8197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007f4705fb83f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007f470d2df7cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#20 0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#21 0x00007f470e33d77e in KJob::exec() () from /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#22 0x00007f468cac05b6 in KMKernel::cleanup() () from /usr/lib/x86_64-linux-gnu/libkmailprivate.so.5
#23 0x00007f468cec1763 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/kmailpart.so
#24 0x00007f468cec1819 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/kmailpart.so
#25 0x00007f470ed6f04e in KontactInterface::Plugin::~Plugin() () from /usr/lib/x86_64-linux-gnu/libKF5KontactInterface.so.5
#26 0x00007f468d717776 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/kontact_kmailplugin.so
#27 0x00007f468d717799 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/kontact_kmailplugin.so
#28 0x00007f470ef9875e in Kontact::MainWindow::~MainWindow() () from /usr/lib/x86_64-linux-gnu/libkontactprivate.so.5
#29 0x00007f470ef98919 in Kontact::MainWindow::~MainWindow() () from /usr/lib/x86_64-linux-gnu/libkontactprivate.so.5
#30 0x00007f470d2b8c20 in QObject::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#31 0x00007f470de11cdb in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f470df27d7b in QMainWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f470eae5147 in KMainWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#34 0x00007f470eb1d4e5 in KXmlGuiWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#35 0x00007f470ddcf05c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#36 0x00007f470ddd4516 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#37 0x00007f470d28938b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#38 0x00007f470d28b786 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#39 0x00007f470d2df3c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#40 0x00007f4705fb8197 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#41 0x00007f4705fb83f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#42 0x00007f4705fb849c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#43 0x00007f470d2df7cf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#44 0x00007f470d286b4a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#45 0x00007f470d28ebec in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#46 0x0000000000404ae9 in main ()

Possible duplicates by query: bug 358568.

Reported using DrKonqi
Comment 1 Laurent Montel 2017-04-17 10:28:25 UTC
5.1.3 is very old.
Please verify with new version.
Thanks
Comment 2 Andrew Crouthamel 2018-09-28 02:27:30 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Andrew Crouthamel 2018-10-28 03:28:39 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!